using System.Collections.Generic;

using Model.Cartography.Nav;

namespace Model.Cartography
{
    /// <summary>
    /// Represents the smallest "addressable" entity on the map.
    /// </summary>
    public struct Cell
    {
        /// <summary>
        /// Associated vertex (if any).
        /// </summary>
        public VertexHandle? Vertex;

        /// <summary>
        /// Object that occupies the cell.
        /// </summary>
        public MapObject Obj;

        /// <summary>
        /// List of directions open for navigation.
        /// </summary>
        public IEnumerable<Orientation> OpenDirections;

        public static implicit operator VertexHandle(Cell self) => self.Vertex.Value;
        public static implicit operator MapObject(Cell self) => self.Obj;
    }
}
