using System;
using System.Numerics;

namespace Model.Cartography
{
    /// <summary>
    /// Represents the map and world positions of an object.
    /// </summary>
    [Serializable]
    public struct MapObjectPosition
    {
        public MapPosition MapPosition;
        public Vector2 WorldPosition;

        public MapObjectPosition(MapPosition mapPosition, Vector2 worldPosition) {
            this.MapPosition = mapPosition;
            this.WorldPosition = worldPosition;
        }

        public static implicit operator MapPosition(MapObjectPosition p) => p.MapPosition;
        public static implicit operator Vector2(MapObjectPosition p) => p.WorldPosition;
    }
}
