using System;
using System.Numerics;

namespace Model.Cartography
{
    /// <summary>
    /// Represents the map position of an object.
    /// </summary>
    [Serializable]
    public struct MapPosition
    {
        public Vec2i Coords;
        public Orientation Orientation;

        /// <summary>
        /// Converts the map position to combined world and map position.
        /// </summary>
        /// <param name="scale">scaling factor between map and world position</param>
        /// <returns></returns>
        public MapObjectPosition ToMapObjectPosition(float scale = 1)
            => new MapObjectPosition(this, new Vector2(Coords.X * scale, Coords.Y * scale));
    }
}
