using System;
using System.Collections.Generic;

namespace Model.Cartography
{
    /// <summary>
    /// Represents a navigable cell inside a MapObject.
    /// </summary>
    [Serializable]
    public struct NavigableCell
    {
        /// <summary>
        /// Canonical position inside the object.
        /// </summary>
        public Vec2i Position;

        /// <summary>
        /// List of directions in which this cell is able to accept
        /// connections from others.
        /// </summary>
        public List<Orientation> OpenDirections;
    }
}
