using System;
using System.Numerics;

using Model.Landscape;
using Model.Inspection;

namespace Model.Common
{
    /// <summary>
    /// Interface for something that can be displayed.
    /// </summary>
    public interface IDisplayable
    {
        bool Visible { get; }
        Vector2 Position { get; }
        ModelObjectHandle Handle { get; }
    }

    /// <summary>
    /// Interface for a building that can be displayed.
    /// Provides an event that is invoked when its state changes.
    /// </summary>
    public interface IDisplayableBuilding : IDisplayable
    {
        Property<bool> IsUnderConstruction { get; }
        Property<bool> NeedsRepair { get; }
    }
}
