using System.Collections.Generic;

using Model.Inspection;

namespace Model.Common
{
    /// <summary>
    /// Structure to share some information about what happened in a tick with the view.
    /// Stores new spawns and a variable indicating if the game is over.
    /// </summary>
    public struct TickResult
    {
        public bool gameOver;
        public ICollection<(IDisplayable, IInspectable)> newVisitors;
        public ICollection<(IDisplayable, IInspectable)> newCleaningStaff;
        public ICollection<(IDisplayable, IInspectable)> newMaintenanceStaff;
    }
}
