﻿using System;
using System.Collections.Generic;

namespace Model.Inspection
{
    public interface IInspectable
    {
        /// <summary>
        /// Name of the inspectable entity.
        /// </summary>
        string Name { get; }

        /// <summary>
        /// Returns the list of properties the inspectable entity has.
        /// </summary>
        /// <returns></returns>
        IEnumerable<InspectionElement> GetProperties();

        /// <summary>
        /// Returns the list of commands the inspectable entity exposes.
        /// </summary>
        /// <returns></returns>
        IEnumerable<Command> GetCommands();
    }
}
