namespace Model.Inspection
{
    public abstract class InspectionElement
    {
        private string name;
        public string Name { 
            get => name; 
            internal set => name = value;
        }

        private bool visible;
        public bool IsVisible { get => visible; }

        protected InspectionElement(string name, bool visible = true) {
            this.name = name;
            this.visible = visible;
        }

        /// <summary>
        /// Weak event handlers are kept track of by the inspection element (Property), and are registered through a dedicated method. <br/>
        /// Strong event handlers are registered the usual way and must be kept track of outside the class.
        /// </summary>
        public virtual void ClearWeakEventHandlers() { }
    }
}
