using System;

using Model.Cartography;
using Model.Common;

namespace Model.Landscape.Blueprints
{
    /// <summary>
    /// Blueprint for a <see cref="CleaningBuilding"/>.
    /// </summary>
    [Serializable]
    public class CleaningBuildingBlueprint : StaffBuildingBlueprint
    {
        /// <summary>
        /// Creates a new <see cref="CleaningBuilding"/> and adds it to the <see cref="Park.staffBuildings"/> list.
        /// </summary>
        /// <param name="map">same as <see cref="Simulation.Map"/></param>
        /// <param name="position">the position of the building</param>
        /// <returns>the new <see cref="CleaningBuilding"/></returns>

        public override MapObject Place(Map map, MapObjectPosition position) {
            var obj = new CleaningBuilding(this, position);
            Park.Instance.StaffBuildings.Add(obj);
            return obj;
        }
    }
}
