using System.Linq;

using Model.Cartography;
using Model.Common;
using Model.Landscape.Blueprints;
using Model.People;

namespace Model.Landscape
{
    /// <summary>
    /// Class of cleaning buildings, spawns <see cref="CleaningStaff"/>.
    /// </summary>
    public class CleaningBuilding : StaffBuilding<CleaningBuildingBlueprint>
    {
        public CleaningBuilding(CleaningBuildingBlueprint blueprint, MapObjectPosition position)
            : base(blueprint, position) { }

        /// <summary>
        /// Spawns <see cref="CleaningStaff"/>.
        /// </summary>
        protected override void SpawnStaff() {
            Simulation.Instance.AddCleaningStaff(new CleaningStaff(ExitPosition, Vertices.Single(), Simulation.Settings.MovementSpeed, "Cleaner"));
        }
    }
}
