using System.Linq;

using Model.Cartography;
using Model.Common;
using Model.Landscape.Blueprints;
using Model.People;

namespace Model.Landscape
{
    /// <summary>
    /// Class of maintenance buildings, spawns <see cref="MaintenanceStaff"/>.
    /// </summary>
    public class MaintenanceBuilding : StaffBuilding<MaintenanceBuildingBlueprint>
    {
        public MaintenanceBuilding(MaintenanceBuildingBlueprint blueprint, MapObjectPosition position)
            : base(blueprint, position) { }

        /// <summary>
        /// Spawns <see cref="MaintenanceStaff"/>.
        /// </summary>
        protected override void SpawnStaff() {
            Simulation.Instance.AddMaintenanceStaff(new MaintenanceStaff(ExitPosition, Vertices.Single(), Simulation.Settings.MovementSpeed, "Maintainer"));
        }
    }
}
