using NUnit.Framework;

using Model.Cartography;

namespace Tests.Model.Cartography {
    public class Test_Orientation
    {
        [Test]
        public void TestRotation()
        {
            Orientation[,] tests = {
                { Orientation.NORTH, Orientation.NORTH, Orientation.NORTH },
                { Orientation.NORTH, Orientation.WEST, Orientation.WEST },
                { Orientation.NORTH, Orientation.SOUTH, Orientation.SOUTH },
                { Orientation.NORTH, Orientation.EAST, Orientation.EAST },

                { Orientation.WEST, Orientation.NORTH, Orientation.WEST },
                { Orientation.WEST, Orientation.WEST, Orientation.SOUTH },
                { Orientation.WEST, Orientation.SOUTH, Orientation.EAST },
                { Orientation.WEST, Orientation.EAST, Orientation.NORTH },

                { Orientation.SOUTH, Orientation.NORTH, Orientation.SOUTH },
                { Orientation.SOUTH, Orientation.WEST, Orientation.EAST },
                { Orientation.SOUTH, Orientation.SOUTH, Orientation.NORTH },
                { Orientation.SOUTH, Orientation.EAST, Orientation.WEST },

                { Orientation.EAST, Orientation.NORTH, Orientation.EAST },
                { Orientation.EAST, Orientation.WEST, Orientation.NORTH },
                { Orientation.EAST, Orientation.SOUTH, Orientation.WEST },
                { Orientation.EAST, Orientation.EAST, Orientation.SOUTH },
            };

            for (int i = 0; i < tests.GetLength(0); i++) {
                Assert.AreEqual(tests[i, 0].rotate(tests[i, 1]), tests[i, 2]);
            }
        }
    }
}
