using NUnit.Framework;

using Model.Utilities;

namespace Tests.Model.Utilities
{
    class Test_RollingAggregation
    {
        [Test]
        public void TestWindowSize() {
            var ra = RollingAggregation<int>.CreateRollingSum(5);
            
            for (int c = 0; c < 5; c++) {
                Assert.AreEqual(c, ra.Count);
                ra.Roll(c);
            }
            Assert.AreEqual(5, ra.Count);

            ra.Roll(0);
            Assert.AreEqual(5, ra.Count);
            ra.Roll(1);
            Assert.AreEqual(5, ra.Count);

            ra.Clear();
            Assert.AreEqual(0, ra.Count);

            ra.Roll(0);
            Assert.AreEqual(1, ra.Count);
        }

        [Test]
        public void TestSum() {
            var ra = RollingAggregation<int>.CreateRollingSum(3);

            var input = new int[] { 1, 3, 2, 5, 0, 4, 1 };
            var ans = new int[] { 1, 4, 6, 10, 7, 9, 5 };

            Assert.AreEqual(0, ra.Sum);
            for (int i = 0; i < input.Length; i++) {
                var a = ra.Roll(input[i]);
                Assert.AreEqual(a, ra.Sum);
                Assert.AreEqual(a, ans[i]);
            }

            ra.Clear();
            Assert.AreEqual(0, ra.Sum);
        }
    }
}
