using UnityEngine;

using Model.Cartography;

/// <summary>
/// Contains the unity specific configuration data of a building and a reference for the configuration file containing model specific settings.
/// </summary>
[CreateAssetMenu(fileName = "BuildingConfig", menuName = "ScriptableObjects/BuildingConfig", order = 1)]
public class BuildingConfig : ScriptableObject
{
    public Sprite BuildingSelectorIcon;
    public GameObject Prefab;
    public BuildingData Data;
    public BuildingCategory MenuCategory;
    [Tooltip("Used to offset the 3D model from the selected cell. (Useful for multi-cell buildings.")]
    public Vector2Int GridOffset;

    public IMapObjectBlueprint Blueprint => Data.Blueprint;
}
