using UnityEngine;

using Model.Cartography;

/// <summary>
/// Base class of a set of ScriptableObject wrappers for blueprints in the model.
/// ScriptableObject is a class provided by Unity for saving configuration data.
/// </summary>
[System.Serializable]
public abstract class BuildingData : ScriptableObject
{
    public abstract IMapObjectBlueprint Blueprint { get; }
}
