using UnityEngine;

using Model.Landscape.Blueprints;
using Model.Cartography;

/// <summary>
/// ScriptableObject wrapper for VisitableBuildingBlueprint.
/// </summary>
[System.Serializable]
[CreateAssetMenu(fileName = "VisitableBuildingData", menuName = "ScriptableObjects/VisitableBuildingData", order = 10)]
public class VisitableBuildingData : BuildingData
{
    [SerializeField]
    private VisitableBuildingBlueprint blueprint;

    public override IMapObjectBlueprint Blueprint => blueprint;
}
