using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Events;

/// <summary>
/// UI helper class for assigning functions to keypresses in the editor the same way as button click events work.
/// </summary>
public class KeyPressEvent : MonoBehaviour
{
    [SerializeField] private List<KeyEvent> events;

    void Update() {
        foreach (var e in events) {
            if (Input.GetKeyDown(e.key))
                e.onPressed.Invoke();
        }
    }

    [System.Serializable]
    public class KeyEvent
    {
        public KeyCode key;
        public UnityEvent onPressed;
    }
}
